package com.hai.schedule;

import com.hai.service.HighUserCouponService;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * @Auther: 胡锐
 * @Description: 卡卷定时任务
 * @Date: 2021/3/27 15:39
 */
@Configuration
public class HighCouponSchedule {

    @Resource
    private HighUserCouponService highUserCouponService;

    /**
     * @Author 胡锐
     * @Description 处理过期的卡券
     * @Date 2021/4/4 22:44
     **/
    // @Scheduled(cron="0 0/1 * * * ?")  //每1分钟执行一次
    @Scheduled(cron = "0 0 0 * * ?")  //每天 凌晨0点执行
    public void expiredCoupon() {
        highUserCouponService.expiredCoupon();
    }
}
